<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- IGAC proyecto SNC

@author juan.agudelo

Parámetros
@param 		objetoContenedorNumeroPredialParam: 	objeto del tipo Predio o PPredio que almacenara las 
                                                    partes del número predial
@param 		idParam:								id de los objetos que varia dependiendo de donde se
                                                    realice el llamado
@param 		formPIdParam:							id de la forma contenedora													

@description Pantalla de ingreso de número predial dividiendo cada componente (Departamento, Municipio, Tipo de avaluo, 
Sector, Comuna, Barrio, Manzana, Predio, Condicion de propiedad, Edificio, Piso y Unidad) 

@version 2.0	 	
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="#{idParam}numPredialPanelGrid"
             columns="4" width="100%">

    <script type="text/javascript"
            src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
    <script type="text/javascript">
		
		$(document)
				.ready(
						function() {
							$(
									'##{formPIdParam}'
									+ validColonString()+'#{idParam}departamentoNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}municipioNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}zonaNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}sectorNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}comunaNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}barrioNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}manzanaNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}terrenoNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}condicionPropiedadNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}edificioNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}pisoNumPredial,##{formPIdParam}'
									+ validColonString()+'#{idParam}unidadNumPredial')
									.autotab_magic().autotab_filter('numeric');
						});
	</script>

	<script type="text/javascript">
		function limpiarNumeroPredial() {
//			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}departamentoNumPredial').value="";
//			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}municipioNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}zonaNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}sectorNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}comunaNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}barrioNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}manzanaNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}terrenoNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}condicionPropiedadNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}edificioNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}pisoNumPredial').value="";
			document.getElementById('#{formPIdParam}'+ ':' +'#{idParam}unidadNumPredial').value="";
		}
	</script>

    <h:panelGrid columns="14">

        <h:inputText id="#{idParam}departamentoNumPredial"
                     onkeydown="validarSiNumero(this,
                                 this.value);"
                     onkeyup="validarSiNumero(this, this.value);"         
                     value="#{objetoContenedorNumeroPredialParam.departamentoCodigo}"
                     label="departamentoNumPredial" maxlength="2" size="2" 
                     title="Departamento" disabled="#{deptoDisableParam}" />

        <h:inputText id="#{idParam}municipioNumPredial"
                     onkeydown="validarSiNumero(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"          
                     value="#{objetoContenedorNumeroPredialParam.municipioCodigo}"
                     maxlength="3" size="3" title="Municipio" disabled="#{munDisableParam}" />

        <h:inputText id="#{idParam}zonaNumPredial"
                     onkeydown="valid
                                 arSiNumero(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"
                     value="#{objetoContenedorNumeroPredialParam.tipoAvaluo}"
                     maxlength="2" size="2" title="Zona" />

        <h:inputText id="#{idParam}sectorNumPredial"
                     onkeydown="validarSiNumero(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"         
                     value="#{objetoContenedorNumeroPredialParam.sectorCodigo}"
                     maxlength="2" size="2" title="Sector" />

        <h:inputText id="#{idParam}comunaNumPredial"
                     onkeydown="validarSiNumero(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"         
                     value="#{objetoContenedorNumeroPredialParam.comunaCodigo}"
                     maxlength="2" size="2" title="Comuna" />

        <h:inputText id="#{idParam}barrioNumPredial"
                     onkeydown="validarSiNumer
                                 o(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"          
                     value="#{objetoContenedorNumeroPredialParam.barrioCodigo}"
                     maxlength="2" size="2" title="Barrio" />

        <h:inputText id="#{idParam}manzanaNumPredial"
                     onkeydown="validarSiNumero(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"         
                     value="#{objetoContenedorNumeroPredialParam.manzanaVeredaCodigo}"
                     maxlength="4" size="4" title="Manzana/Vereda" />

        <h:inputText id="#{idParam}terrenoNumPredial"
                     onkeydown="validarSiNumero(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"         
                     value="#{objetoContenedorNumeroPredialParam.predio}" maxlength="4"
                     size="4" title="Terreno" />

        <h:inputText id="#{idParam}condicionPropiedadNumPredial"
                     value="#{objetoContenedorNumeroPredialParam.condicionPropiedad}"
                     maxlength="1" size="1" title="Condición de propiedad" />

        <h:inputText id="#{idParam}edificioNumPredial"
                     onkeydown="validarSiNumero(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"         
                     value="#{objetoContenedorNumeroPredialParam.edificio}"
                     maxlength="2" size="2" title="Edificio" />

        <h:inputText id="#{idParam}pisoNumPredial"
                     onkeydown="validarSiNumero(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"         
                     value="#{objetoContenedorNumeroPredialParam.piso}" maxlength="2"
                     size="2" title="Piso" />

        <h:inputText id="#{idParam}unidadNumPredial"
                     onkeydown="validarSiNumero(this, this.value);"
                     onkeyup="validarSiNumero(this, this.value);"         
                     value="#{objetoContenedorNumeroPredialParam.unidad}" maxlength="4"
                     size="4" title="Unidad" />

        <p:commandButton type="button" ajax="false"
                         icon="ui-icon-arrowreturnthick-1-w"
                         title="Limpiar número predial"
                         onclick="limpiarNumeroPredial(); return false;" />

    </h:panelGrid>
</h:panelGrid>
